WHATIS(1)

NAME
whatis - describe what a command is

SYNOPSIS
whatis [-C file] [-M path] [-m path] command ...

DESCRIPTION
The whatis utility looks up the given commands and shows the header lines from the manual pages. You can then use the man(1) command to get more information. whatis will match on a case insensitive basis and for multiple word entries will match on each individual word.

The options are as follows:

-C file
    Specify an alternate configuration file in man.conf(5) format. The default is /etc/man.conf.

-M path
    Override the list of standard directories whatis searches for its database named “whatis.db”. The supplied path must be a colon (‘’): separated list of directories. This search path may also be set using the environment variable MANPATH.

-m path
    Augment the list of standard directories whatis searches for its database named “whatis.db”. The supplied path must be a colon-separated list of directories. These directories will be searched before the standard directories or the directories supplied with the -M option or the MANPATH environment variable are searched.

ENVIRONMENT

MANPATH
    The standard search path used by man(1) may be overridden by specifying a path in the MANPATH environment variable.

FILES
whatis.db
    name of the whatis database
/etc/man.conf
    default man(1) configuration file

SEE ALSO
apropos(1), man(1), whereis(1), which(1), man.conf(5), makewhatis(8)

HISTORY
Part of the functionality of whatis was already provided by the former manwhere utility in 1BSD. The whatis command first appeared in 2BSD.

The -M option and the MANPATH variable first appeared in 4.3BSD; -m in 4.3BSD Reno; and -C in 4.4BSD Lite1.

AUTHORS
Bill Joy wrote manwhere in 1977 and the original BSD whatis in February 1979.